Package com.google.gwt.dom.builder.shared

## Interface SelectBuilder

- All Superinterfaces:
    `ElementBuilderBase<SelectBuilder>`
  All Known Implementing Classes:
    `DomSelectBuilder`, `HtmlSelectBuilder`

      public interface SelectBuilder
      extends ElementBuilderBase<SelectBuilder>

  Builds an select element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SelectBuilder` | `disabled()` | Disable the select box.
    `SelectBuilder` | `multiple()` | Allow multiple options to be selected.
    `SelectBuilder` | `name​(java.lang.String name)` | Form control or object name when submitted with a form.
    `SelectBuilder` | `selectedIndex​(int index)` | The ordinal index of the selected option, starting from 0.
    `SelectBuilder` | `size​(int size)` | Number of visible rows.
    `SelectBuilder` | `type​(java.lang.String type)` | The type of this form control.
    `SelectBuilder` | `value​(java.lang.String value)` | The current form control value (i.e., the value of the currently selected option), if multiple options are selected this is the value of the first selected option.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### disabled

          SelectBuilder disabled()

      Disable the select box.
      See Also:
        W3C HTML Specification

    - #### multiple

          SelectBuilder multiple()

      Allow multiple options to be selected.
      See Also:
        W3C HTML Specification

    - #### name

          SelectBuilder name​(java.lang.String name)

      Form control or object name when submitted with a form.
      See Also:
        W3C HTML Specification

    - #### selectedIndex

          SelectBuilder selectedIndex​(int index)

      The ordinal index of the selected option, starting from 0. The value -1 is returned if no element is selected. If multiple options are selected, the index of the first selected option is returned.

    - #### size

          SelectBuilder size​(int size)

      Number of visible rows.
      See Also:
        W3C HTML Specification

    - #### type

          SelectBuilder type​(java.lang.String type)

      The type of this form control. This is the string "select-multiple" when the multiple attribute is true and the string "select-one" when false.

    - #### value

          SelectBuilder value​(java.lang.String value)

      The current form control value (i.e., the value of the currently selected option), if multiple options are selected this is the value of the first selected option.